cl.cromer.estructuras

## Class MenuController

- java.lang.Object
- - javafx.scene.Node
  - - javafx.scene.Parent
    - - javafx.scene.layout.Region
      - - javafx.scene.layout.Pane
        - - javafx.scene.layout.VBox
          - - cl.cromer.estructuras.MenuController

All Implemented Interfaces:
  javafx.css.Styleable, javafx.event.EventTarget, javafx.fxml.Initializable

    public class MenuController
    extends javafx.scene.layout.VBox
    implements javafx.fxml.Initializable

Controlar las acciones cuando una opción es elegido en el menu.

### Property Summary

### Properties inherited from class javafx.scene.layout.VBox

`alignmentProperty, fillWidthProperty, spacingProperty`

### Properties inherited from class javafx.scene.layout.Region

`backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, heightProperty, insetsProperty, maxHeightProperty, maxWidthProperty, minHeightProperty, minWidthProperty, opaqueInsetsProperty, paddingProperty, prefHeightProperty, prefWidthProperty, scaleShapeProperty, shapeProperty, snapToPixelProperty, widthProperty`

### Properties inherited from class javafx.scene.Parent

`impl_traversalEngineProperty, needsLayoutProperty`

### Properties inherited from class javafx.scene.Node

`accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, cacheHintProperty, cacheProperty, clipProperty, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, focusedProperty, focusTraversableProperty, hoverProperty, idProperty, impl_showMnemonicsProperty, impl_treeVisibleProperty, inputMethodRequestsProperty, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParentTransformProperty, localToSceneTransformProperty, managedProperty, mouseTransparentProperty, nodeOrientationProperty, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, pickOnBoundsProperty, pressedProperty, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, styleProperty, translateXProperty, translateYProperty, translateZProperty, visibleProperty`

### Field Summary

Fields
`private javafx.scene.control.MenuBar` `menuBar` La barra del menu.
`private java.util.ResourceBundle` `resourceBundle` Los idiomas.

### Fields inherited from class javafx.scene.layout.Region

`USE_COMPUTED_SIZE, USE_PREF_SIZE`

### Fields inherited from class javafx.scene.Node

`BASELINE_OFFSET_SAME_AS_HEIGHT`

### Constructor Summary

Constructors
Constructor and Description
`MenuController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicialicar el menu con el idioma.
`private void` `loadStage(java.util.ResourceBundle resourceBundle)` Cargar el fxml y css cuando el idioma cambia.
`private void` `loadStage(java.lang.String title, java.lang.String fxml, java.lang.String css)` Cargar el fxml, css y titulo.
`private void` `loadStage(java.lang.String title, java.lang.String fxml, java.lang.String css, java.lang.Object object)` Cargar el fxml, css y titulo y pasar un objeto a la escena nueva.
`protected void` `menuAcerca()` Click en Acerca.
`protected void` `menuArbolGeneral()` Click en Arbol General.
`protected void` `menuArrayOrdenado()` Click en Array Ordenado.
`protected void` `menuArraySimple()` Click en Array Simple.
`protected void` `menuBurbuja()` Click en Burbuja.
`protected void` `menuCola()` Click en Cola.
`protected void` `menuEspanol()` Click en Español.
`protected void` `menuGrafoDirigidos()` Click en Grafo Dirigidos.
`protected void` `menuGrafoNoDirigidos()` Click en Grafo No Dirigidos.
`protected void` `menuGrafoPeso()` Click en Grafo No Dirigidos.
`protected void` `menuHashTable()` Click en Hash Table.
`protected void` `menuIngles()` Click en Ingles.
`protected void` `menuInsercion()` Click en Inserción.
`protected void` `menuListaEnlazadaCircular()` Click en Lista Enlazada Circular.
`protected void` `menuListaEnlazadaDoble()` Click en Lista Enlazada Doble.
`protected void` `menuListaEnlazadaSimple()` Click en Lista Enlazada Simple.
`protected void` `menuMerge()` Click en Merge.
`protected void` `menuPila()` Click en Pila.
`protected void` `menuQuick()` Click en Quick.
`protected void` `menuSeleccion()` Click en Selecion.
`protected void` `menuShell()` Click en Shell.
`private void` `openFXML(java.lang.String fxml, javafx.scene.Scene scene, javafx.stage.Stage stage)`

### Methods inherited from class javafx.scene.layout.VBox

`alignmentProperty, clearConstraints, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, fillWidthProperty, getAlignment, getClassCssMetaData, getContentBias, getCssMetaData, getMargin, getSpacing, getVgrow, isFillWidth, layoutChildren, requestLayout, setAlignment, setFillWidth, setMargin, setSpacing, setVgrow, spacingProperty`

### Methods inherited from class javafx.scene.layout.Pane

`getChildren`

### Methods inherited from class javafx.scene.layout.Region

`backgroundProperty, borderProperty, cacheShapeProperty, centerShapeProperty, computeMaxHeight, computeMaxWidth, getBackground, getBorder, getHeight, getInsets, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOpaqueInsets, getPadding, getPrefHeight, getPrefWidth, getShape, getUserAgentStylesheet, getWidth, heightProperty, impl_computeContains, impl_computeGeomBounds, impl_computeLayoutBounds, impl_createPeer, impl_notifyLayoutBoundsChanged, impl_pickNodeLocal, impl_updatePeer, insetsProperty, isCacheShape, isCenterShape, isResizable, isScaleShape, isSnapToPixel, layoutInArea, layoutInArea, layoutInArea, layoutInArea, maxHeight, maxHeightProperty, maxWidth, maxWidthProperty, minHeight, minHeightProperty, minWidth, minWidthProperty, opaqueInsetsProperty, paddingProperty, positionInArea, positionInArea, prefHeight, prefHeightProperty, prefWidth, prefWidthProperty, resize, scaleShapeProperty, setBackground, setBorder, setCacheShape, setCenterShape, setHeight, setMaxHeight, setMaxSize, setMaxWidth, setMinHeight, setMinSize, setMinWidth, setOpaqueInsets, setPadding, setPrefHeight, setPrefSize, setPrefWidth, setScaleShape, setShape, setSnapToPixel, setWidth, shapeProperty, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapSize, snapSpace, snapToPixelProperty, widthProperty`

### Methods inherited from class javafx.scene.Parent

`getBaselineOffset, getChildrenUnmodifiable, getImpl_traversalEngine, getManagedChildren, getStylesheets, impl_getAllParentStylesheets, impl_processCSS, impl_processMXNode, impl_traversalEngineProperty, isNeedsLayout, layout, lookup, needsLayoutProperty, queryAccessibleAttribute, requestParentLayout, setImpl_traversalEngine, setNeedsLayout, updateBounds`

### Methods inherited from class javafx.scene.Node

`accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, containsBounds, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, hasProperties, hoverProperty, idProperty, impl_clearDirty, impl_computeIntersects, impl_cssGetCursorInitialValue, impl_cssGetFocusTraversableInitialValue, impl_findStyles, impl_geomChanged, impl_getLeafTransform, impl_getMatchingStyles, impl_getPeer, impl_getPivotX, impl_getPivotY, impl_getPivotZ, impl_getStyleMap, impl_hasTransforms, impl_intersects, impl_intersectsBounds, impl_isDirty, impl_isDirtyEmpty, impl_isShowMnemonics, impl_isTreeVisible, impl_layoutBoundsChanged, impl_markDirty, impl_pickNode, impl_processCSS, impl_reapplyCSS, impl_setShowMnemonics, impl_setStyleMap, impl_showMnemonicsProperty, impl_syncPeer, impl_transformsChanged, impl_traverse, impl_treeVisibleProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, visibleProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### menuBar

    private javafx.scene.control.MenuBar menuBar

La barra del menu.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Los idiomas.

### Constructor Detail

#### MenuController

    public MenuController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicialicar el menu con el idioma.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: Tiene URL de FXML en uso.
  `resourceBundle:` - Tiene los idiomas.

#### menuArraySimple

    protected void menuArraySimple()

Click en Array Simple.

#### menuArrayOrdenado

    protected void menuArrayOrdenado()

Click en Array Ordenado.

#### menuBurbuja

    protected void menuBurbuja()

Click en Burbuja.

#### menuInsercion

    protected void menuInsercion()

Click en Inserción.

#### menuSeleccion

    protected void menuSeleccion()

Click en Selecion.

#### menuShell

    protected void menuShell()

Click en Shell.

#### menuQuick

    protected void menuQuick()

Click en Quick.

#### menuMerge

    protected void menuMerge()

Click en Merge.

#### menuListaEnlazadaSimple

    protected void menuListaEnlazadaSimple()

Click en Lista Enlazada Simple.

#### menuListaEnlazadaCircular

    protected void menuListaEnlazadaCircular()

Click en Lista Enlazada Circular.

#### menuListaEnlazadaDoble

    protected void menuListaEnlazadaDoble()

Click en Lista Enlazada Doble.

#### menuPila

    protected void menuPila()

Click en Pila.

#### menuCola

    protected void menuCola()

Click en Cola.

#### menuArbolGeneral

    protected void menuArbolGeneral()

Click en Arbol General.

#### menuGrafoDirigidos

    protected void menuGrafoDirigidos()

Click en Grafo Dirigidos.

#### menuGrafoNoDirigidos

    protected void menuGrafoNoDirigidos()

Click en Grafo No Dirigidos.

#### menuGrafoPeso

    protected void menuGrafoPeso()

Click en Grafo No Dirigidos.

#### menuHashTable

    protected void menuHashTable()

Click en Hash Table.

#### menuIngles

    protected void menuIngles()

Click en Ingles.

#### menuEspanol

    protected void menuEspanol()

Click en Español.

#### menuAcerca

    protected void menuAcerca()

Click en Acerca.

#### loadStage

    private void loadStage(java.lang.String title,
                           java.lang.String fxml,
                           java.lang.String css)

Cargar el fxml, css y titulo.

Parameters:
  `title` - String: El titulo de la escena.
  `fxml` - String: El archivo de fxml.
  `css` - String: El archivo de css.

#### loadStage

    private void loadStage(java.lang.String title,
                           java.lang.String fxml,
                           java.lang.String css,
                           java.lang.Object object)

Cargar el fxml, css y titulo y pasar un objeto a la escena nueva.

Parameters:
  `title` - String: El titulo de la escena.
  `fxml` - String: El archivo de fxml.
  `css` - String: El archivo de css.
  `object` - Object: El objeto a pasar a la nueva escena.

#### loadStage

    private void loadStage(java.util.ResourceBundle resourceBundle)

Cargar el fxml y css cuando el idioma cambia.

Parameters:
  `resourceBundle` - ResourceBundle: El idioma nuevo para cambiarlo.

#### openFXML

    private void openFXML(java.lang.String fxml,
                          javafx.scene.Scene scene,
                          javafx.stage.Stage stage)